unit uMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Edit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    ListBox: TListBox;
    LogBox: TListBox;
    procedure EditExit(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ListBoxClick(Sender: TObject);
    procedure ListBoxSelectionChange(Sender: TObject; User: boolean);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.EditExit(Sender: TObject);
begin
  if ListBox.ItemIndex >= 0 then
    ListBox.Items[ListBox.ItemIndex] := Edit.Text;
  LogBox.Items.Add('EditExit');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ListBox.ItemIndex:=0;
end;

procedure TForm1.ListBoxClick(Sender: TObject);
begin
  LogBox.Items.Add('ListBoxOnClick');
end;

procedure TForm1.ListBoxSelectionChange(Sender: TObject; User: boolean);
begin
  Edit.Text := ListBox.Items[ListBox.ItemIndex];

  LogBox.Items.Add('ListBoxSelectionChange');
end;

end.

